import { ArkaneConnect, AuthenticationOptions, AuthenticationResult } from "@arkane-network/arkane-connect/dist/src/connect/connect";
import { Network } from "@arkane-network/arkane-connect/dist/src/models/Network";
import { Account } from '@arkane-network/arkane-connect/dist/src/models/Account';
import { Provider } from 'ethereum-types';
export default class Arkane {
    private ac?;
    private network?;
    private originalNetwork?;
    private rpcSubprovider;
    private nonceSubProvider;
    private signedVersionedTypedDataSubProvider;
    private arkaneSubProvider;
    arkaneConnect(network?: Network): ArkaneConnect | undefined;
    changeNetwork(network: Network): void;
    checkAuthenticated(): Promise<AuthenticationResult>;
    authenticate(authenticationOptions?: AuthenticationOptions): Promise<Account | {}>;
    resetNetwork(): void;
    createArkaneProviderEngine(options: ArkaneSubProviderOptions): Promise<Provider>;
    private getDefaultEndpoint;
    private startEngine;
}
export interface ArkaneSubProviderOptions {
    clientId: string;
    /** @deprecated Use network instead. */
    rpcUrl?: string;
    environment?: string;
    /** Deprecated, use windowMode instead */
    signMethod?: string;
    windowMode?: string;
    bearerTokenProvider?: () => string;
    network?: Network;
    authenticationOptions?: AuthenticationOptions;
    skipAuthentication: boolean;
}
